View Issue Details

IDProjectCategoryView StatusLast Update
0002790Path[FreeCAD] Bugpublic2017-01-31 17:50
ReporterHackscribbleAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002790: Finish depth gives incorrect results
DescriptionFinish depth can be entered in pocket path dialog but the value is not saved and not acted upon.

As a workaround, the finish depth can be entered in the data pane. However, the generated gcode has the passes in the wrong order.
Steps To Reproduce1. Load "pocket-test-01.fcstd"
2. Double click on pocket in tree
3. Open "Depths" section of dialog
4. Enter 0.1mm in finish depth
5. Click OK to exit dialog
6. Repeat steps 2 and 3 - finish depth is showing 0.00mm
7. Click OK to exit dialog
8. Click on finish depth in data pane and enter 0.1mm
9. Click on post process to generate gcode
10. Inspect gcode - finish depth pass (-3.90mm) comes before final depth pass (-4.00mm)
Additional InformationOS: Ubuntu 16.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8963 (Git)
Build type: None
Branch: master
Hash: af62262021cc4ade42f232d86e8b96b553307691
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

Hackscribble

2016-11-21 20:07

reporter  

pocket-test-01.fcstd (18,188 bytes)

sliptonic

2016-11-27 20:08

developer   ~0007493

I have a fix pending in my 'cleanup' branch. This is a rewrite of the DepthParams.getDepths() method.

I've also added an optional parameter for 'equalstep' which defaults to False. If equalstep is True, then the stepdown value will be recalculated so that 1) it is equal or less than the entered value, 2) all steps down are the same depth. 3) the total steps down is not increased. 4) The finish depth is unchanged. This is useful to ensure that the cutter is under the same load on all passes.

For example:
  start_depth = 10
  step_down = 3
  z_finish_step = 0
  final_depth = 0
  equalstep=False --> depth =[7,4,1,0]
  eqalstep=True --> depth = [7.5, 5.0, 2.5, 0]

This will still need to be implemented in the GUI to work.

sliptonic

2016-12-11 20:28

developer   ~0007521

cleanup branch will merge with Pull Request 0000376. Please verify after that if everything is working as expected.

sliptonic

2017-01-14 01:09

developer   ~0007744

Appears to be working correctly.

Issue History

Date Modified Username Field Change
2016-11-21 20:07 Hackscribble New Issue
2016-11-21 20:07 Hackscribble File Added: pocket-test-01.fcstd
2016-11-27 19:58 sliptonic Assigned To => sliptonic
2016-11-27 19:58 sliptonic Status new => assigned
2016-11-27 20:08 sliptonic Note Added: 0007493
2016-12-11 20:28 sliptonic Note Added: 0007521
2017-01-14 01:09 sliptonic Note Added: 0007744
2017-01-14 01:09 sliptonic Status assigned => resolved
2017-01-14 01:09 sliptonic Fixed in Version => 0.17
2017-01-14 01:09 sliptonic Resolution open => fixed
2017-01-31 17:50 wmayer Status resolved => closed